<template>
  <div>
    <div class="dashboard__header">
      <h1 class="dashboard__title">داشبورد</h1>
    </div>
    <div class="dashboard__body">
      <DashboardNavigation class="dashboard__nav" active="dashboard" />
      <div class="dashboard__content">
        <InfoCard :user="$store.getters['auth/getUser']" class="info-card"/>
        <!-- <Card class="orders-card" title="آخرین سفارش من">
          <template #actions>
            <Button type="text" color="dark" round size="sm" light>
              <template #icon>
                <MoreIcon />
              </template>
            </Button>
          </template>
        </Card> -->
      </div>
    </div>
  </div>
</template>

<script>
import Card from "@/components/base/Card";
import Button from "@/components/base/Button";
import InfoCard from "@/components/dashboard/InfoCard";
import MoreIcon from "@/assets/svgs/view_list.svg";
import DashboardNavigation from "@/components/layout/DashboardNavigation";

export default {
  components: {
    Card,
    Button,
    InfoCard,
    MoreIcon,
    DashboardNavigation
  },
  layout: "dashboard",
  head() {
    return {
      title: "داشبورد"
    }
  }
}
</script>

<style lang="stylus" scoped>
@import '~assets/styles/variables';

.info-card
  margin-bottom $md
</style>